FanslySubscription Discounts
Disable Subscription Discount
Disable (deactivate) a subscription discount. It can be re-enabled later with the Enable Subscription Discount endpoint.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
fanslyAccount*string
The Fansly Account ID
discount_id*string
The Fansly subscription discount (gift code) ID.
Response Body
application/json
curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/subscription-discounts/927958667997761536/disable"{
"data": {
"id": "900000000000000003",
"type": 1,
"label": "new link",
"planId": "700000000000000010",
"accountId": "800000000000000001",
"price": 5000,
"paymentMethodRequired": 0,
"duration": 7,
"maxUses": 100,
"newSubscribersOnly": 1,
"startsAt": 0,
"endsAt": 0,
"status": 2
},
"_meta": {
"_credits": {
"used": 1,
"balance": 10055787,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 5000,
"limit_day": null,
"remaining_minute": 4999,
"remaining_day": null,
"notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
}
}
}